#include <PS2X_lib.h>

#define PS2_DAT      2        
#define PS2_CMD      3
#define PS2_SEL      4
#define PS2_CLK      5

PS2X ps2x; // create PS2 Controller Class

void setup()
{
  Serial.begin(57600);
  delay(5000);  // give time to open monitor
  int error = ps2x.config_gamepad(PS2_CLK, PS2_CMD, PS2_SEL, PS2_DAT);  // Setup gamepad (clock, command, attention, data) pins
  Serial.print("PS2 Init: ");
  Serial.println(error, DEC);
}

void loop() {
  ps2x.read_gamepad();          //read controller and set large motor to spin at 'vibrate' speed

    Serial.print("PS2 Input: ");
  Serial.print(ps2x.ButtonDataByte(), HEX);
  Serial.print(":");
  Serial.print(ps2x.Analog(PSS_LX), DEC);
  Serial.print(" ");
  Serial.print(ps2x.Analog(PSS_LY), DEC);
  Serial.print(" ");
  Serial.print(ps2x.Analog(PSS_RX), DEC);
  Serial.print(" ");
  Serial.println(ps2x.Analog(PSS_RY), DEC);
  delay(100);

}

